Skip to navigation

Update a voucher group

Only the fields sent change. name and pricing cannot be null.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired>=1

The voucher group’s id.

Request

This endpoint expects an object.
namestring or nullOptional1-255 characters
notesstring or nullOptional
pricingobject or nullOptional
Price voucher holders would pay. Not applied to sessions.
customer_idinteger or nullOptional>=1

Response

The object after the update.
idinteger
organization_idstring
namestring
pricingobject
Price voucher holders would pay. Not applied to sessions.
created_atdatetime
updated_atdatetime
notesstring or nullOptional
customer_idinteger or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error